pastel(1)

NAME
pastel - A command-line tool to generate, analyze, convert and manipulate colors

SYNOPSIS
pastel [--color-picker] [-f|--force-color] [-h|--help] [-m|--color-mode] [-V|--version] <subcommands>

DESCRIPTION
A command-line tool to generate, analyze, convert and manipulate colors

OPTIONS

--color-picker
    Use a specific tool to pick the colors

    [possible values: gpick, xcolor, wcolor, grabc, colorpicker, chameleon, kcolorchooser, zenity, yad, hyprpicker, gdbus]

-f, --force-color
    Alias for --mode=24bit

-h, --help
    Print help

-m, --color-mode <mode>
    Specify the terminal color mode: 24bit, 8bit, off, *auto*

-V, --version
    Print version

SUBCOMMANDS

pastel-color(1)
    Display information about the given color

pastel-colorblind(1)
    Simulate a color under a certain colorblindness profile

pastel-colorcheck(1)
    Check if your terminal emulator supports 24-bit colors.

pastel-complement(1)
    Get the complementary color (hue rotated by 180°)

pastel-darken(1)
    Darken color by a specified amount

pastel-desaturate(1)
    Decrease color saturation by a specified amount

pastel-distinct(1)
    Generate a set of visually distinct colors

pastel-format(1)
    Convert a color to the given format

pastel-gradient(1)
    Generate an interpolating sequence of colors

pastel-gray(1)
    Create a gray tone from a given lightness

pastel-help(1)
    Print this message or the help of the given subcommand(s)

pastel-lighten(1)
    Lighten color by a specified amount

pastel-list(1)
    Show a list of available color names

pastel-mix(1)
    Mix two colors in the given colorspace

pastel-paint(1)
    Print colored text using ANSI escape sequences

pastel-pick(1)
    Interactively pick a color from the screen (pipette)

pastel-random(1)
    Generate a list of random colors

pastel-rotate(1)
    Rotate the hue channel by the specified angle

pastel-saturate(1)
    Increase color saturation by a specified amount

pastel-set(1)
    Set a color property to a specific value

pastel-sort-by(1)
    Sort colors by the given property

pastel-textcolor(1)
    Get a readable text color for the given background color

pastel-to-gray(1)
    Completely desaturate a color (preserving luminance)

VERSION
v0.12.0